Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.loading
Class PrivateMLet

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  javax.management.loading.MLet
                      javax.management.loading.PrivateMLet

All Implemented Interfaces:
  java.io.Externalizable, MBeanRegistration, MLetMBean, PrivateClassLoader, java.io.Serializable

public class PrivateMLet
extends MLet
implements PrivateClassLoader

An MLet that is not added to the `ClassLoaderRepository`. This class acts exactly like its parent class, `MLet`, with one exception. When a PrivateMLet is registered in an MBean server, it is not added to that MBean server's `ClassLoaderRepository`. This is true because this class implements the interface `PrivateClassLoader`.

Since:
  JMX 1.2
See Also:
  Serialized Form

Constructor Summary
`PrivateMLet(java.net.URL[] urls, boolean delegateToCLR)` Constructs a new PrivateMLet for the specified URLs using the default delegation parent ClassLoader.
`PrivateMLet(java.net.URL[] urls, java.lang.ClassLoader parent, boolean delegateToCLR)` Constructs a new PrivateMLet for the given URLs.
`PrivateMLet(java.net.URL[] urls, java.lang.ClassLoader parent, java.net.URLStreamHandlerFactory factory, boolean delegateToCLR)` Constructs a new PrivateMLet for the specified URLs, parent class loader, and URLStreamHandlerFactory.

Methods inherited from class javax.management.loading.MLet
`addURL, addURL, check, findClass, findLibrary, getLibraryDirectory, getMBeansFromURL, getMBeansFromURL, getURLs, loadClass, postDeregister, postRegister, preDeregister, preRegister, readExternal, setLibraryDirectory, writeExternal`

Methods inherited from class java.net.URLClassLoader
`definePackage, findResource, findResources, getPermissions, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.loading.MLetMBean
`getResource, getResourceAsStream, getResources`

Constructor Detail

### PrivateMLet

    public PrivateMLet(java.net.URL[] urls,
                       boolean delegateToCLR)

  Constructs a new PrivateMLet for the specified URLs using the default delegation parent ClassLoader. The URLs will be searched in the order specified for classes and resources after first searching in the parent class loader.

Parameters:
  `urls` - The URLs from which to load classes and resources.
  `delegateToCLR` - True if, when a class is not found in either the parent ClassLoader or the URLs, the MLet should delegate to its containing MBeanServer's `ClassLoaderRepository`.

### PrivateMLet

    public PrivateMLet(java.net.URL[] urls,
                       java.lang.ClassLoader parent,
                       boolean delegateToCLR)

  Constructs a new PrivateMLet for the given URLs. The URLs will be searched in the order specified for classes and resources after first searching in the specified parent class loader. The parent argument will be used as the parent class loader for delegation. The factory argument will be used as the stream handler factory to obtain protocol handlers when creating new URLs.

Parameters:
  `urls` - The URLs from which to load classes and resources.
  `parent` - The parent class loader for delegation.
  `delegateToCLR` - True if, when a class is not found in either the parent ClassLoader or the URLs, the MLet should delegate to its containing MBeanServer's `ClassLoaderRepository`.

### PrivateMLet

    public PrivateMLet(java.net.URL[] urls,
                       java.lang.ClassLoader parent,
                       java.net.URLStreamHandlerFactory factory,
                       boolean delegateToCLR)

  Constructs a new PrivateMLet for the specified URLs, parent class loader, and URLStreamHandlerFactory. The parent argument will be used as the parent class loader for delegation. The factory argument will be used as the stream handler factory to obtain protocol handlers when creating new URLs.

Parameters:
  `urls` - The URLs from which to load classes and resources.
  `parent` - The parent class loader for delegation.
  `factory` - The URLStreamHandlerFactory to use when creating URLs.
  `delegateToCLR` - True if, when a class is not found in either the parent ClassLoader or the URLs, the MLet should delegate to its containing MBeanServer's `ClassLoaderRepository`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.